> For a complete page index, fetch https://developer.close.com/llms.txt # Create a new Custom Object Custom Field POST https://api.close.com/api/v1/custom_field/custom_object_type/ Content-Type: application/json Custom Object Custom Fields belong to Custom Objects, and have additional attributes: - `custom_object_type_id` – the ID of the Custom Object Type this Field should belong to. - `required` – whether the Field will be required to save the object. Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-custom-object/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 201 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y", "description": "Number of users belonging to this Account.", "name": "User Count", "required": true, "type": "number" } ``` **Response** ```json { "accepts_multiple_values": false, "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk", "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y", "date_created": "2020-08-07T17:11:44.299904", "date_updated": "2020-08-07T17:11:44.299904", "description": "Number of users belonging to this Account.", "editable_with_roles": [], "id": "cf_1nkEcnaoAiTJBfYmTBsOQqFCuIkqc82Q f4yKUx01e0K", "name": "User Count", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "required": true, "type": "number", "updated_ by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk" } ``` **SDK Code** ```python import requests url = "https://api.close.com/api/v1/custom_field/custom_object_type/" payload = { "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y", "description": "Number of users belonging to this Account.", "name": "User Count", "required": True, "type": "number" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://api.close.com/api/v1/custom_field/custom_object_type/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"custom_object_type_id":"cotype_1h5m6uHM9BZOpwVhyRJb4Y","description":"Number of users belonging to this Account.","name":"User Count","required":true,"type":"number"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/custom_field/custom_object_type/" payload := strings.NewReader("{\n \"custom_object_type_id\": \"cotype_1h5m6uHM9BZOpwVhyRJb4Y\",\n \"description\": \"Number of users belonging to this Account.\",\n \"name\": \"User Count\",\n \"required\": true,\n \"type\": \"number\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/custom_field/custom_object_type/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"custom_object_type_id\": \"cotype_1h5m6uHM9BZOpwVhyRJb4Y\",\n \"description\": \"Number of users belonging to this Account.\",\n \"name\": \"User Count\",\n \"required\": true,\n \"type\": \"number\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/custom_field/custom_object_type/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"custom_object_type_id\": \"cotype_1h5m6uHM9BZOpwVhyRJb4Y\",\n \"description\": \"Number of users belonging to this Account.\",\n \"name\": \"User Count\",\n \"required\": true,\n \"type\": \"number\"\n}") .asString(); ``` ```php request('POST', 'https://api.close.com/api/v1/custom_field/custom_object_type/', [ 'body' => '{ "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y", "description": "Number of users belonging to this Account.", "name": "User Count", "required": true, "type": "number" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/custom_field/custom_object_type/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"custom_object_type_id\": \"cotype_1h5m6uHM9BZOpwVhyRJb4Y\",\n \"description\": \"Number of users belonging to this Account.\",\n \"name\": \"User Count\",\n \"required\": true,\n \"type\": \"number\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```